from kivy.app import App
from kivy.uix.gridlayout import GridLayout
from kivy.core.window import Window
from kivy.uix.image import Image
from kivy.uix.label import Label
from kivy.uix.button import Button
from kivy.uix.textinput import TextInput

class TrovaTemperatura(App):
    def build(self):
        self.window = GridLayout()
        self.window.cols = 1
        self.window.size_hint = (0.8, 0.9)
        self.window.pos_hint = {"center_x": 0.5, "center_y": 0.5}
        Window.size = (360, 640)
        
        self.window.add_widget(Image(source="mondo.png"))
        
        self.window.add_widget(TextInput(
            size_hint=(1, 0.2),
            font_size'20sp',
            padding_y'12sp', 
            haling 'center')
        
        self.window.add_widget(Button(
            text="VIA!",
            size_hint=(1, 0.2),
            bold=True,
            background_color= '#0099ff'
            ))
                                       
        self.window.add_widget(Label(
            text="Cerca una città ...",
            font_size='20sp',
            color='#007dd1'
            ))
 
        return self.window                       
                               
 
 
 
 
TrovaTemperatura() .run()
